package com.xhkjedu.sexam.service.exam;

import com.xhkjedu.sexam.mapper.exam.EBaseMapper;
import com.xhkjedu.sexam.model.exam.EBase;
import com.xhkjedu.utils.N_Utils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class EBaseService {
    @Resource
    private EBaseMapper eBaseMapper;

    //添加
    public void save(EBase model) {
        model.setCreatetime(N_Utils.getSecondTimestamp());
        eBaseMapper.insertSelective(model);
    }

    //删除
    public Integer deleteById(Integer id) {
        return eBaseMapper.deleteByPrimaryKey(id);
    }

    //修改
    public Integer update(EBase model) {
        return eBaseMapper.updateByPrimaryKeySelective(model);
    }

    //获取详情
    public EBase findById(Integer id) {
        return eBaseMapper.selectByPrimaryKey(id);
    }

    //获取列表
    public List <EBase> listAll() {
        return eBaseMapper.selectAll();
    }
}
