package com.xhkjedu.sexam.model.paper;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_paper")
@Data
public class EPaper extends BaseBean {
    @Id
    //考试试卷表
    private Integer epid;

    //考试id
    private Integer examid;

    //考试科目表id
    private Integer esid;

    //科目id
    private String subjectid;

    //试卷类型1题库2答题卡
    private Integer ptype;

    //试题数量
    private Integer pnum;

    //试卷总分
    private Double pscore;

    //批阅设置：1按班设置2按题设置
    private Integer correcttype;

    //听力题文件地址(附件试卷）
    private String hearfile;

    //状态0默认1已设置2退回
    private Integer pstate;

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;

    //修改人
    private Integer handleid;

    //修改时间
    private Integer handletime;
}